Index: code/branches/leveljoemeHS14/data/levels/AnihilationThreat.oxw
===================================================================
--- code/branches/leveljoemeHS14/data/levels/AnihilationThreat.oxw	(revision 10129)
+++ code/branches/leveljoemeHS14/data/levels/AnihilationThreat.oxw	(revision 10136)
@@ -11,5 +11,8 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+
 ?>
+
 
 
@@ -23,4 +26,5 @@
   include("templates/spaceshipAssff2.oxt")
   include("templates/spaceshipTransporter.oxt")
+
 
 ?>
@@ -45,7 +49,4 @@
     />
 
-<?lua
-      include("includes/pickups.oxi")
-   ?>
 
    <?lua
@@ -60,5 +61,8 @@
     hasPhysics = true
  >
-	
+
+<?lua
+      include("includes/pickups.oxi")
+   ?>
   
   <Light 
@@ -70,5 +74,5 @@
   	
   <SpawnPoint 
-	team=0 position="9000,9000,9000" 
+	team=0 position="1000,1000,1000" 
 	lookat="0,1,0" 
 	spawnclass=SpaceShip 
@@ -104,4 +108,12 @@
 
 
+						<!--#########Pickups##########-->
+			
+
+<PickupSpawner pickup=crazyhealthpickup position="3500,3500, 3500" triggerDistance="20" respawnTime="30" maxSpawnedItems="10" />
+<PickupSpawner pickup=hugeshieldpickup position="3500,4500, 4500" triggerDistance="10" respawnTime="5" maxSpawnedItems="10" />
+<PickupSpawner pickup=smalljumppickup position="6500,6500, 6000" triggerDistance="20" respawnTime="10" maxSpawnedItems="99" />
+<PickupSpawner pickup=largedamageboostpickup position="9500,9500, 9500" triggerDistance="20" respawnTime="30" maxSpawnedItems="10" />
+<PickupSpawner pickup=triplehealthspeedinvisibilitypickup position="13500,13500,13500" triggerDistance="10" respawnTime="30" maxSpawnedItems="10" />
 
     
@@ -133,5 +145,5 @@
     
     <DistanceTrigger name="flying1" position="0,0,0" target="Pawn" distance=100 stayActive="true" delay=1/>
-    <SimpleNotification message="Welcome Mr. Walker">
+    <SimpleNotification message="Welcome Major Walker">
         <events>
             <trigger>
@@ -150,4 +162,41 @@
 </SimpleNotification>        
 
+
+<DistanceTrigger name="flying6" position="1000,1000,1000" target="Pawn" distance=50 stayActive="true" delay=1/>
+<SimpleNotification message="Major! You can't face the enemy yet">
+    <events>
+        <trigger>
+            <EventListener event="flying6" />
+        </trigger>
+    </events>
+</SimpleNotification>        
+
+<DistanceTrigger name="flying7" position="1060,1060,1060" target="Pawn" distance=50 stayActive="true" delay=1/>
+<SimpleNotification message="You'll ned to get some upgrades first">
+    <events>
+        <trigger>
+            <EventListener event="flying7" />
+        </trigger>
+    </events>
+</SimpleNotification>      
+
+<DistanceTrigger name="flying8" position="1110,1110,1110" target="Pawn" distance=50 stayActive="true" delay=1/>
+<SimpleNotification message="You can find them close to the signals">
+    <events>
+        <trigger>
+            <EventListener event="flying8" />
+        </trigger>
+    </events>
+</SimpleNotification>     
+
+<DistanceTrigger name="flying9" position="6500,6500,6000" target="Pawn" distance=50 stayActive="true" delay=1/>
+<SimpleNotification message="You're almost here!">
+    <events>
+        <trigger>
+            <EventListener event="flying9" />
+        </trigger>
+    </events>
+</SimpleNotification>     
+
 <DistanceTrigger name="flying4" position="9500,9500,9500" target="Pawn" distance=50 stayActive="true" delay=1/>
 <SimpleNotification message="You're late!">
@@ -160,7 +209,4 @@
 
 
-
-
-
 <DistanceTrigger name="flying5" position="9550,9550,9550" target="Pawn" distance=50 stayActive="true" delay=1/>
 <SimpleNotification message="The enemy is eager to be beaten">
@@ -171,4 +217,8 @@
     </events>
 </SimpleNotification>
+
+
+
+
 
 
@@ -211,5 +261,5 @@
  <!--*****Spaceship 1******* -->
        
-  <SpaceShip position="1900,1500,1500" lookat="2050,0,-1000" name="allied" health="500" maxhealth="500" initialhealth="500" >
+  <SpaceShip position="1900,1500,1500" lookat="2050,0,-1000" name="allied" health="200" maxhealth="200" initialhealth="200" >
 	  <templates>
             <Template link=spaceshipassff />
@@ -220,10 +270,5 @@
 	  	  	  	  <Model mesh="cube.mesh" scale=0 position="1000,1500,1500" />
                   <Model mesh="cube.mesh" scale=0 position="1900,1500,1500" />
-     	  	  	  <Model mesh="cube.mesh" scale=0 position="1000,1500,1500" />
-                  <Model mesh="cube.mesh" scale=0 position="1900,1500,1500" />
-     	  	  	  <Model mesh="cube.mesh" scale=0 position="1000,1500,1500" />
-                  <Model mesh="cube.mesh" scale=0 position="1900,1500,1500" />
-           	  	  <Model mesh="cube.mesh" scale=0 position="1000,1500,1500" />
-                  
+     	  	  	                    
               </waypoints>
 						
@@ -237,5 +282,5 @@
       <!--*****Spaceship 2 and 3******* -->
       
-      <SpaceShip position="2900,2500,2500" lookat="2050,0,-1000" name="allied" health="500" maxhealth="500" initialhealth="500" >
+      <SpaceShip position="2900,2500,2500" lookat="2050,0,-1000" name="allied" health="200" maxhealth="200" initialhealth="200" >
     	  <templates>
                 <Template link=spaceshippirate />
@@ -246,10 +291,5 @@
     	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2000,2500,2500" />
                       <Model mesh="cube.mesh" scale=0 position="2900,2500,2500" />
-         	  	  	  <Model mesh="cube.mesh" scale=0 position="2000,2500,2500" />
-                      <Model mesh="cube.mesh" scale=0 position="2900,2500,2500" />
-         	  	  	  <Model mesh="cube.mesh" scale=0 position="2000,2500,2500" />
-                      <Model mesh="cube.mesh" scale=0 position="2900,2500,2500" />
-               	  	  <Model mesh="cube.mesh" scale=0 position="2000,2500,2500" />
-                      
+         	  	  	                        
                   </waypoints>
     						
@@ -260,5 +300,5 @@
       </SpaceShip>
       
-      <SpaceShip position="2020,2400,2500" lookat="2050,0,-1000" name="allied" health="500" maxhealth="500" initialhealth="500" >
+      <SpaceShip position="2020,2400,2500" lookat="2050,0,-1000" name="allied" health="200" maxhealth="200" initialhealth="200" >
     	  <templates>
                 <Template link=spaceshippirate />
@@ -270,9 +310,5 @@
                       <Model mesh="cube.mesh" scale=0 position="2920,2500,2500" />
          	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
-                      <Model mesh="cube.mesh" scale=0 position="2920,2500,2500" />
-         	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
-                      <Model mesh="cube.mesh" scale=0 position="2920,2500,2500" />
-               	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
-      	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2920,2500,2500" />
+                    
                   </waypoints>
     						
@@ -285,5 +321,5 @@
         <!--****************************After the Asteroid Field***************************-->
         
-   <DistanceTrigger name="afterPortal" position="10000,10000, 10000" target="Pawn"  distance=50 stayActive="true" delay=1/>
+   <DistanceTrigger name="afterPortal" position="9500,9500, 9500" target="Pawn"  distance=50 stayActive="true" delay=1/>
       
     
@@ -303,5 +339,5 @@
                                       </events>
              					<waypoints>
-            	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+            	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15000,15000,15000" />
 
                                </waypoints>
@@ -349,5 +385,5 @@
                                 </events>
        					<waypoints>
-      	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+      	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15150,15150,15150" />
 
                          </waypoints>
@@ -371,5 +407,5 @@
                                       </events>
              					<waypoints>
-            	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+            	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15300,15300,15300" />
 
                                </waypoints>
@@ -392,5 +428,5 @@
                                            </events>
                   					<waypoints>
-                 	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+                 	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15450,15000,15300" />
 
                                     </waypoints>
@@ -413,5 +449,5 @@
                                                  </events>
                         					<waypoints>
-                       	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+                       	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15450,15000,15450" />
 
                                           </waypoints>
@@ -435,5 +471,5 @@
                                                      </events>
                             					<waypoints>
-                           	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+                           	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15300,15000,14850" />
 
                                               </waypoints>
@@ -456,5 +492,5 @@
                                                            </events>
                                   					<waypoints>
-                                 	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+                                 	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15150,15000,14700" />
 
                                                     </waypoints>
@@ -477,5 +513,5 @@
                                                            </events>
                                   					<waypoints>
-                                 	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="2020,2500,2500" />
+                                 	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15300,15000,14700" />
 
                                                     </waypoints>
@@ -488,7 +524,113 @@
 <!--Creating player's team END  -->
 
+<!--#########################################Creating enemy's team END #################################33  -->
         
 
-
+<SpaceShip position="15500,15500,15500" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+                                	  <templates>
+                                            <Template link=spaceshipghost />
+                                      </templates>
+                                       <controller>
+                                          <WaypointPatrolController alertnessradius=2000 team=1 >
+                                             <waypoints>
+                           	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15500,15500,15500" />
+
+                                              </waypoints>
+                            							
+                                          </WaypointPatrolController>
+
+                                       </controller>
+                                  </SpaceShip>
+      
+      
+      <SpaceShip position="15750,15500,15750" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+                                          	  <templates>
+                                                      <Template link=spaceshipghost />
+                                                </templates>
+                                                 <controller>
+          	  	  	  	  	  	  	  	  	  	  	  <WaypointPatrolController alertnessradius=2000 team=1 >
+                                                       <waypoints>
+                                     	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15750,15500,15750" />
+
+                                                        </waypoints>
+                                      							
+                                                    </WaypointPatrolController>
+
+                                                 </controller>
+                                            </SpaceShip>
+      <SpaceShip position="16000,15500,16000" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+                                               	  <templates>
+                                                   <Template link=spaceshipghost />
+                                                     </templates>
+                                                      <controller>
+               	  	  	  	  	  	  	  	  	  	  	  <WaypointPatrolController alertnessradius=2000 team=1 >
+                                                            <waypoints>
+                                          	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="16000,15500,16000" />
+
+                                                             </waypoints>
+                                           							
+                                                         </WaypointPatrolController>
+                                                           
+
+                                                      </controller>
+                                                 </SpaceShip>
+               
+               
+               
+               <SpaceShip position="15250,15500,15250" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+                                               	  <templates>
+                                                    <Template link=spaceshipghost />
+                                                     </templates>
+                                                      <controller>
+                                                         <WaypointPatrolController alertnessradius=2000 team=1 >
+                                                            <waypoints>
+                                          	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15250,15500,15250" />
+
+                                                             </waypoints>
+                                           							
+                                                         </WaypointPatrolController>
+
+                                                      </controller>
+                                                 </SpaceShip>
+               
+               
+               
+               <SpaceShip position="15000,15500,15000" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+                                               	  <templates>
+                                                   <Template link=spaceshipghost />
+                                                     </templates>
+                                                      <controller>
+                                                         <WaypointPatrolController alertnessradius=2000 team=1 >
+                                                            <waypoints>
+                                          	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15000,15500,15000" />
+
+                                                             </waypoints>
+                                           							
+                                                         </WaypointPatrolController>
+
+                                                      </controller>
+                                                 </SpaceShip>
+               
+               
+               
+               <SpaceShip position="15500,15500,15750" lookat="2050,0,-1000" name="enemy" health="400" maxhealth="400" initialhealth="400" >
+                                               	  <templates>
+                                                   <Template link=spaceshipghost />
+                                                     </templates>
+                                                      <controller>
+               	  	  	  	  	  	  	  	  	  	  	 <WaypointPatrolController alertnessradius=2000 team=1 >
+                                                            <waypoints>
+                                          	  	  	  	  	  <Model mesh="cube.mesh" scale=0 position="15500,15500,15750" />
+
+                                                             </waypoints>
+                                           							
+                                                         </WaypointPatrolController>
+
+                                                      </controller>
+                                                 </SpaceShip>
+
+          
+          
+         
 		 <!------------Quest---------->
 
Index: code/branches/leveljoemeHS14/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/branches/leveljoemeHS14/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 10129)
+++ code/branches/leveljoemeHS14/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 10136)
@@ -73,5 +73,5 @@
         this->position_ = Vector4(0.0, 0.0, 0.0, 0.0);
         this->alignment_ = "LeftAligned";
-        this->fontSize_ = 12;
+        this->fontSize_ = 10;
         this->fontColor_ = Vector4(1.0, 1.0, 1.0, 1.0);
         this->fontColorStr_ = "FFFFFFFF";