Index: branches/playability/src/world_entities/elements/glgui_energywidgetvertical.cc
===================================================================
--- branches/playability/src/world_entities/elements/glgui_energywidgetvertical.cc	(revision 10136)
+++ branches/playability/src/world_entities/elements/glgui_energywidgetvertical.cc	(revision 10139)
@@ -29,10 +29,10 @@
     //   this->setClassID(CL_PROTO_ID, "GLGuiEnergyWidget");
 
-    
-
-    this->_bar.setSize2D(100, 30);
-    this->_name.setRelCoor2D(200,0);
-    this->_valueText.setRelCoor2D(22,0);
-
+    //this->_bar.setSize2D(100, 30);
+    //this->_bar.setRelCoor2D(-10,0);
+    //this->_name.setRelCoor2D(20,0);
+    //this->_valueText.setRelCoor2D(,0);
+    this->shiftDir2D(270);
+    this->setOrientation(OrxGui::Horizontal);
     this->pack(&this->_name);
     this->pack(&this->_valueText);
@@ -44,5 +44,5 @@
 
     this->setBackgroundTexture(Texture());
-    this->setBackgroundColor(Color(.5,.5,.5,0));
+    this->setBackgroundColor(Color(.5,.5,.5,0.5));
 
     //this->_name.setBackgroundTexture(Texture());
Index: branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10136)
+++ branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10139)
@@ -232,4 +232,5 @@
 
   // widget handling
+  /*
   this->electronicWidget = new OrxGui::GLGuiEnergyWidgetVertical();
   this->electronicWidget->setDisplayedName(std::string(this->getClassName()) + " Electronics:");
@@ -249,4 +250,7 @@
     State::getPlayer()->hud().setEnergyWidget(this->electronicWidget);
   }
+  */
+  this->electronicWidget = NULL;
+  this->shieldWidget = NULL;
 
   //add events to the eventlist
@@ -392,4 +396,5 @@
   this->secWeaponMan.showCrosshair();
   this->toList( OM_GROUP_01 );
+  dynamic_cast <OrxGui::GLGuiEnergyWidgetVertical*> (State::getPlayer()->hud().getArmorWidget())->setDisplayedName("Armor");
   //dynamic_cast<Element2D*>(this->secWeaponMan.getFixedTarget())->setVisibility( true);
   //this->attachCamera();
@@ -1014,15 +1019,37 @@
 void SpaceShip::updateElectronicWidget()
 {
-  this->electronicWidget->setMaximum(this->electronicMax);
-  this->electronicWidget->setValue(this->electronicCur);
-  if (this->hasPlayer())
-    this->electronicWidget->show();
+  if (this->electronicWidget != NULL)
+  { //if it exists already: update it
+     this->electronicWidget->setMaximum(this->electronicMax);
+     this->electronicWidget->setValue(this->electronicCur);
+  }
+  else
+  { //create the widget
+    this->electronicWidget = new OrxGui::GLGuiEnergyWidgetVertical();
+    this->electronicWidget->setDisplayedName("Electronics:");
+    //this->electronicWidget->setSize2D(100,20);
+    //this->electronicWidget->setAbsCoor2D(150,200);
+    this->updateElectronicWidget();
+    if (this->hasPlayer())
+      State::getPlayer()->hud().setEnergyWidget(this->electronicWidget);
+  }
 }
 
 void SpaceShip::updateShieldWidget()
 {
-  this->shieldWidget->setMaximum(this->shieldMax);
-  this->shieldWidget->setValue(this->shieldCur);
-  if (this->hasPlayer())
-    this->shieldWidget->show();
-}
+  if (this->shieldWidget != NULL)
+  { 
+    this->shieldWidget->setMaximum(this->shieldMax);
+    this->shieldWidget->setValue(this->shieldCur);;
+  }
+  else
+  {
+    this->shieldWidget = new OrxGui::GLGuiEnergyWidgetVertical();
+    this->shieldWidget->setDisplayedName("Shield:");
+    //his->shieldWidget->setSize2D(100,20);
+    //this->shieldWidget->setAbsCoor2D(200,200);
+    this->updateShieldWidget();
+    if (this->hasPlayer())
+      State::getPlayer()->hud().setShiledWidget(this->shieldWidget);
+  }
+}
Index: branches/playability/src/world_entities/world_entity.cc
===================================================================
--- branches/playability/src/world_entities/world_entity.cc	(revision 10136)
+++ branches/playability/src/world_entities/world_entity.cc	(revision 10139)
@@ -752,7 +752,7 @@
   {
     this->healthWidget = new OrxGui::GLGuiEnergyWidgetVertical();
-    this->healthWidget->setDisplayedName("Electronics");
-    this->healthWidget->setSize2D(30,400);
-    this->healthWidget->setAbsCoor2D(100,200);
+    this->healthWidget->setDisplayedName("Health");
+    //this->healthWidget->setSize2D(100,20);
+    //this->healthWidget->setAbsCoor2D(100,200);
 
     this->updateHealthWidget();